Name:         ssm
Summary:      Manage the state of specific files and packages on a system.
Version:      0.4.24
Release:      0
BuildArch:    noarch
Group:        System Environment/Applications
Requires:     perl-libwww-perl, perl-MailTools
License:      GPL
URL:          http://download.systemimager.org/pub/ssm/
Source:       http://download.systemimager.org/pub/ssm/ssm-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
System State Manager (ssm) allows you to define a desired state for
one or more machines.  This state can include:
* a complete list of packages to be installed (optional)
* version information for some or all packages (optional)
* files that should be in place, and appropriate attributes (optional)
  * regular files (content via md5sum)
  * character, block, and fifo files
  * permissions and ownership
  * soft links and hard links
  * unwanted files and directories (that should be removed)
.
If an defined element of a system is not in the desired state, the
ssm client can fix it, always prompting you before taking action.
Prompting can be suppressed with a --yes option.
.  
State information for a machine is kept in a state definition file,
which can be stored in a location that the ssm client can access via
http:, https:, ftp:, or on the local filesystem.  State definition
files are simple to create, and are easy to read and understand.
.
http://download.systemimager.org/pub/ssm/


%prep
%setup -n ssm-%{version}


%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_prefix}/share/doc/ssm $RPM_BUILD_ROOT/%{_prefix}/share/doc/ssm-%{version}
rm -f $RPM_BUILD_ROOT/%{_prefix}/sbin/ssm_web-report    # This requires deps unsatisfiable -BEF-

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/ssm/client.conf
%{_prefix}/lib/ssm/SystemStateManager.pm
%{_prefix}/lib/ssm/SystemStateManager/
%{_prefix}/sbin/
%{_prefix}/share/doc/ssm-%{version}/README.state_definition_file_details
%{_prefix}/share/doc/ssm-%{version}/examples/one-of-each.conf
%{_prefix}/share/doc/ssm-%{version}/examples/tmp/one-regular-file.txt/27abe7c7e2423eddec0839a2d0633e37
%{_prefix}/share/doc/ssm-%{version}/ChangeLog
%{_prefix}/share/doc/ssm-%{version}/COPYING
%{_prefix}/share/doc/ssm-%{version}/CREDITS


# Get date command:   
#
#   date +'%a %b %d %Y - finley@anl.gov'
#
%changelog -n ssm
* Mon May 18 2009 - finley@anl.gov
- ssm: Add --only-files and --only-packages features.
- ssm: added --only-this-file option
- ssm_web-report: auto-refresh generated html page
* Wed Apr 01 2009 - finley@anl.gov
- SystemStateManager.pm: Fix bug found by Gene Rackow where diff_file()
  didn't clean up tmp_file.
- Add support for 'aptitude': Aptitude.pm
- Remove info/examples on package versions
- Dpkg.pm: do apt-get update even on --no
* Thu Dec 18 2008 - finley@anl.gov
- ssm_web-report: improve coloration
- Yum.pm: use ssm.noarch instead of ssm for upgrade_ssm() function
- SystemStateManager.pm: Test variables from def files for existence before 
  applying regex tests to them
- SystemStateManager.pm: read_definition_file() now returns $ERROR_LEVEL 
  instead of undef
- ssm_web-report: fix bug in critical_packages regex
- ssm_web-report: improve layout; add page timestamp
* Thu Dec 04 2008 - finley@anl.gov
- Minor package change -- don't include ssm_web-report binary.  It
  causes rpm to require a package that is unsatisfiable on CentOS or
  Red Hat.
* Wed Dec 03 2008 - finley@anl.gov
- SystemStateManager.pm: change format of date stamp
- ssm_web-report: s/Unclean/Dirty
- ssm_web-report: Take command line options.
- ssm_web-report: Allow read from specified INBOX, not just STDIN.
- ssm_web-report: Create index.html and $host.txt files as mode 644.
- ssm_web-report: Add titles for count sections.
- use pure perl 'date'; improve date format for web reporting
* Mon Dec 01 2008 - finley@anl.gov
- new release. 0.4.20
- ssm, ssm_web-report:  Add additional count info to logs and to web
  report.
* Tue Nov 18 2008 - finley@anl.gov
- new release. 0.4.19
- SystemStateManager.pm: add email_log_file()
- SystemStateManager.pm: close logfile before mailing
- Ensure uniqueness of entries in package deps lists
- SystemStateManager.pm: display packages to upgrade/remove/install with --no
* Fri Nov 07 2008 - finley@anl.gov
- new release. 0.4.18
- ssm: Don't loop if --no
- YUM: do workaround to handle stoopid rpm inconsistency ->
  gpg-pubkey.(none) non-package
- YUM: fix modify get_pkgs_currently_installed to address yum fixed
  length output issue -- was truncating certain long package names
* Wed Oct 29 2008 - finley@anl.gov
- new release. 0.4.17
* Sun Oct 28 2008 - finley@anl.gov
- initial package
